﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace WpfApplication2
{
    class ApplicationSettings
    {
        private static string _title;

        public static event EventHandler<PropertyChangedEventArgs> StaticPropertyChanged;
        public static string Title
        {
            get { return _title; }
            set { _title = value; NotifyStaticPropertyChanged("Title"); }
        }

        static ApplicationSettings()
        {
            Title = "WPF Rules!";
        }

        protected static void NotifyStaticPropertyChanged(string propertyName)
        {
            if (StaticPropertyChanged != null)
                StaticPropertyChanged(null, new PropertyChangedEventArgs(propertyName));
        }
    }
}
